from pyogre import ogre
import SampleFramework

class TutorialApplication(SampleFramework.Application):
    def _createScene(self):
        pass
    
	sceneManager = self.sceneManager
        sceneManager.ambientLight = ogre.ColourValue(.1, .1, .8)
	
	ent1 = sceneManager.createEntity("Robot", "robot.mesh")
	node1 = sceneManager.rootSceneNode.createChildSceneNode("RobotNode")
	node1.attachObject(ent1)
	
	
        ent2 = sceneManager.createEntity("Robot2", "robot.mesh")
        node2 = node1.createChildSceneNode("RobotNode2", (50, 0, 0))
        node2.attachObject(ent2)
	node2.scale = (2, 1, 2)
	node2.pitch(ogre.Degree(-90))
			
	ent3 = sceneManager.createEntity("Robot3", "robot.mesh")
        node3 = sceneManager.rootSceneNode.createChildSceneNode("RobotNode3", ogre.Vector3(100, 0, 0))
        node3.attachObject(ent3)
        node3.roll(ogre.Degree(-23))

	

if __name__ == '__main__':
    ta = TutorialApplication()
    ta.go()


