from pyogre import ogre
import SampleFramework

class TutorialApplication(SampleFramework.Application):
	def _createScene(self):
		#pass
		self.sceneManager.setWorldGeometry("terrain.cfg")
		#self.sceneManager.setSkyBox(True, "Examples/SpaceSkyBox")
		#self.sceneManager.setSkyBox(True, "Examples/SpaceSkyBox", 10)
		#self.sceneManager.setSkyBox(True, "Examples/SpaceSkyBox", 5000, False)
		#self.sceneManager.setSkyBox(True, "Examples/SpaceSkyBox", 3000, False)
	
		#self.sceneManager.setSkyDome(True, "Examples/CloudySky", 1, 100)
	
		plane = ogre.Plane((0, -1, 0), -100)
		#self.sceneManager.setSkyPlane(True, plane, "Examples/SpaceSkyPlane", 1500, 75)
		#self.sceneManager.setSkyPlane(True, plane, "Examples/SpaceSkyPlane", 1500, 50, True, 1.5, 150, 150)
		self.sceneManager.setSkyPlane(True, plane, "Examples/CloudySky", 150, 800, True, 2, 150, 150)
	
		#fadeColour = (0.79, 0.79, 0.99)
        	#self.renderWindow.getViewport(0).backgroundColour = fadeColour
		#self.sceneManager.setWorldGeometry("terrain.cfg")
        	#self.sceneManager.setFog(ogre.FOG_LINEAR, fadeColour, 0, 600, 700)
		#self.sceneManager.setFog(ogre.FOG_EXP, fadeColour, 0.005)
		#self.sceneManager.setFog(ogre.FOG_EXP, fadeColour, 0.003)
		
		
	def _chooseSceneManager(self):
        	pass
    		self.sceneManager = self.root.getSceneManager(ogre.ST_EXTERIOR_CLOSE)
		
	def _createCamera(self):
        	#pass
		self.camera = self.sceneManager.createCamera("PlayerCam")
		self.camera.position = (0, 10, 500)
       		self.camera.lookAt((0, 0, 0))
		self.camera.nearClipDistance = 5

       	def _createViewports(self):
        	#pass
		vp = self.renderWindow.addViewport(self.camera)
		vp.backgroundColour = (0.0, 0.0, 0.0)
		self.camera.aspectRatio = vp.actualWidth / vp.actualHeight
		
	
    	
	

if __name__ == '__main__':
    ta = TutorialApplication()
    ta.go()


